#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Feb 12 12:15:26 2021

@author: tanu
"""
#%% load packages
import os
homedir = os.path.expanduser('~')
os.chdir (homedir + '/git/LSHTM_analysis/mcsm_na')
from submit_mcsm_na import *
########################################################################
# variables
my_host = 'http://biosig.unimelb.edu.au'
my_prediction_url = f"{my_host}/mcsm_na/run_prediction_list"
print(my_prediction_url)

# TODO: add cmd line args
#gene = 'gid'
drug = 'streptomycin'
datadir = homedir + '/git/Data'
indir = datadir + '/' + drug + '/input'
outdir = datadir + '/' + drug + '/output'

my_nuc_type = 'RNA'
my_pdb_file = indir + '/gid_complex.pdb'

# batch 1: 00.txt: # RAN: 11 Feb, ~17:37, RETRIEVED: 15 Feb~ 12:18
#my_mutation_list = outdir + '/snp_batches/20/snp_batch_00.txt'
#my_suffix = 'gid_b1'


# batch 2: 01.txt
my_mutation_list = outdir + '/snp_batches/20/snp_batch_01.txt'
my_suffix = 'gid_b2'
# RAN: 15 Feb: 12:18

#==========================
# CALL: submit_mcsm_na() 
# Data: gid+streptomycin
#==========================
submit_mcsm_na(host_url = my_host
               , pdb_file = my_pdb_file
               , mutation_list = my_mutation_list
               , nuc_type = my_nuc_type
               , prediction_url = my_prediction_url
               , output_dir = outdir
               , outfile_suffix = my_suffix) 
#%%#####################################################################               